libgdamm 4.99.11

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gnome::Gda::ConnectionError Class Reference

Exception class for Gda connection errors. More...

Inheritance diagram for Gnome::Gda::ConnectionError:
[legend]
Collaboration diagram for Gnome::Gda::ConnectionError:
[legend]

## Public Types
enum | Code { CONNECTION_DSN_NOT_FOUND_ERROR, CONNECTION_PROVIDER_NOT_FOUND_ERROR, CONNECTION_PROVIDER_ERROR, CONNECTION_NO_CNC_SPEC_ERROR, CONNECTION_NO_PROVIDER_SPEC_ERROR, CONNECTION_OPEN_ERROR, CONNECTION_STATEMENT_TYPE_ERROR, CONNECTION_CANT_LOCK_ERROR, CONNECTION_TASK_NOT_FOUND_ERROR, CONNECTION_UNSUPPORTED_THREADS_ERROR, CONNECTION_CLOSED_ERROR, CONNECTION_META_DATA_CONTEXT_ERROR }

## Public Member Functions
| ConnectionError (Code error_code, const Glib::ustring& error_message)
| ConnectionError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
virtual | ~Error () noexcept
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for Gda connection errors.

## Member Enumeration Documentation

enum Gnome::Gda::ConnectionError::Code

Enumerator
CONNECTION_DSN_NOT_FOUND_ERROR |
CONNECTION_PROVIDER_NOT_FOUND_ERROR |
CONNECTION_PROVIDER_ERROR |
CONNECTION_NO_CNC_SPEC_ERROR |
CONNECTION_NO_PROVIDER_SPEC_ERROR |
CONNECTION_OPEN_ERROR |
CONNECTION_STATEMENT_TYPE_ERROR |
CONNECTION_CANT_LOCK_ERROR |
CONNECTION_TASK_NOT_FOUND_ERROR |
CONNECTION_UNSUPPORTED_THREADS_ERROR |
CONNECTION_CLOSED_ERROR |
CONNECTION_META_DATA_CONTEXT_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::ConnectionError::ConnectionError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gnome::Gda::ConnectionError::ConnectionError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Gnome::Gda::ConnectionError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- libgdamm/connection.h